Package org.apache.sling.junit

# Interface TestSelector

All Known Implementing Classes:
  `RequestParser`

public interface TestSelector
Used by the `TestsManager` to select which tests to run

## Method Summary

Modifier and Type
Method
Description
`boolean`
`acceptTestName(String testName)`
If true, testName will be selected
`String`
`getExtension()`
Return the extension used to render results
`String`
`getSelectedTestMethodName()`
Returns the name of the selected test.
`String`
`getTestSelectorString()`
Return the String used to select tests

## Method Details

### acceptTestName

boolean acceptTestName(String testName)
If true, testName will be selected

Parameters:
  `testName` - the name of the test
Returns:
  `true` if the test will be selected, `false` otherwise

### getSelectedTestMethodName

String getSelectedTestMethodName()
Returns the name of the selected test.

Returns:
  the name of the selected test

### getTestSelectorString

String getTestSelectorString()
Return the String used to select tests

Returns:
  the string used to select the tests

### getExtension

String getExtension()
Return the extension used to render results

Returns:
  the extension used to render the results